/* Agent Tcl
   Bob Gray
   6 August 1998

   blobTcl.h

   This file defines the routines that provide the interface between Tcl and
   the BinaryData classes.

   Copyright (c) 1995-1998, Bob Gray, Dartmouth College

   See the file "agent.terms" for information on usage and redistribution
   of this file and for a DISCLAIMER OF ALL WARRANTIES.
*/

#ifndef _BLOB_TCL_H
#define _BLOB_TCL_H

#ifndef NO_PRAGMAS
#pragma interface
#endif

#ifndef _PLAT_SIZES_H
#include "platSizes.h"
#endif
#ifndef _SUPP_BINARY_TYPES_H
#include "suppBinaryTypes.h"
#endif
#ifndef _INCLUDE_TCL_H
#define _INCLUDE_TCL_H
#include "tcl.h"
#endif

#ifdef __cplusplus
#define EXTERNAL extern "C"
#else
#define EXTERNAL extern
#endif

EXTERNAL int Blob_Init 
    (Tcl_Interp *interp);

EXTERNAL int Blob_Create
    (Tcl_Interp *interp, enum BinaryDataTypes blobType, UINT_32 *handle);

EXTERNAL int Blob_Destroy
    (Tcl_Interp *interp, UINT_32 handle);

#endif
