/* Agent Tcl
   Bob Gray
   24 June 1995

   tclTcpip.h

   This file defines the TCPIP library routines.

   Copyright (c) 1995, Robert S. Gray Dartmouth College

   See the file "agent.terms" for information on usage and redistribution
   of this file and for a DISCLAIMER OF ALL WARRANTIES.
*/

#ifndef _TCL_TCPIP_H
#define _TCL_TCPIP_H

#ifndef NO_PRAGMAS
#pragma interface
#endif

#include "agentId.h"
#include "genUtility.h"
#include "tcl.h"

#ifdef __cplusplus

#define EXTERNAL extern "C"

  /* default timeout when connecting */

const int DEFAULT_TCPIP_SECONDS	= 20;

#else

#define EXTERNAL extern

  /* default timeout when connecting */

#define DEFAULT_TCPIP_SECONDS	20

#endif

  /* add the tcpip commands into the interpreter */

EXTERNAL int Tcpip_Init 
	(Tcl_Interp *interp);

   /* get the IP address of a host */

EXTERNAL int Tcpip_Getip
	(Tcl_Interp *interp, double seconds, char *server, UINT_32 *ip); 

#endif
